<?php

namespace app\api\controller\ContactInfo;

use app\BaseController;
use app\common\model\ContactUs\ContactInfo as ModelContactInfo;
use app\Request;
use think\Validate;
use think\exception\ValidateException;
use think\facade\Filesystem;
use app\common\exception\Tool;


class ContactInfo extends BaseController
{
    /**
     * 获取联系方式内容
     */
    public function getContactInfo(Request $request): array
    {
        $params = $request->param();

        $query = ModelContactInfo::field([
            'contact_info_id',
            'contact_info_guid',
            'contact_info_location',
            'latitude',
            'longitude',
            'customer_service_wx',
            'contact_info_phone',
            'join_apply_content'
        ])->where(1)->find();

        return [
            'code' => 0,
            'data' => $query,
            'msg' => 'ok'
        ];
    }
}
